Obter dashboard do atendente
curl --request GET \
--url https://api.jurichat.com/homepage-v2/get-attendant-dashboard \
--header 'x-jurichat-api-key: <api-key>'import requests
url = "https://api.jurichat.com/homepage-v2/get-attendant-dashboard"
headers = {"x-jurichat-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-jurichat-api-key': '<api-key>'}};
fetch('https://api.jurichat.com/homepage-v2/get-attendant-dashboard', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"queryParams": {
"inboxId": "<string>",
"userIdBody": "<string>",
"departmentId": "<string>",
"endDate": "2023-11-07T05:31:56Z",
"startDate": "2023-11-07T05:31:56Z",
"refreshCache": true
},
"cacheAt": "<string>",
"kpis": {
"awaiting": 123,
"inProgress": 123,
"resolved": 123
},
"averageResponseTime": {
"goalInMinutes": 123,
"timeInMinutes": 123,
"description": "<string>",
"chart": [
{
"date": "<string>",
"valueInMinutes": 123
}
]
},
"averageTimeToResolution": {
"goalInMinutes": 123,
"timeInMinutes": 123,
"chart": [
{
"date": "<string>",
"valueInMinutes": 123
}
]
},
"warning": "<string>",
"conversationsAwaitingAttention": {
"count": 123,
"data": [
{
"idConversation": "<string>",
"namePerson": "<string>",
"lastMessage": "<string>",
"timeSinceLastMessage": 123,
"statusColor": "red",
"tagIds": [
"<string>"
],
"avatarUrl": "<string>"
}
]
}
}
}{
"message": "<string>",
"statusCode": 123,
"code": "<string>",
"details": "<string>"
}{
"message": "<string>",
"statusCode": 123,
"code": "<string>",
"details": "<string>"
}Home
Obter dashboard do atendente
Retorna as métricas do dashboard do atendente.
GET
/
homepage-v2
/
get-attendant-dashboard
Obter dashboard do atendente
Authorizations
Chave de API do escritório (criada no painel). Envie o valor no header x-jurichat-api-key.
Query Parameters
ID do atendente. Null para o usuário autenticado.
ID da inbox.
ID do departamento.
Data final do período.
Data inicial do período.
Força atualização do cache.
Response
Default Response
Show child attributes
Show child attributes